version: "3.9"

services:
  teamspeak:
    image: teamspeak:3.13
    container_name: ts3-server
    restart: unless-stopped
    ports:
      - "9987:9987/udp"   # Voice
      - "10011:10011"     # ServerQuery
      - "30033:30033"     # FileTransfer
    environment:
      TS3SERVER_LICENSE: accept
    volumes:
      - ts3-data:/var/ts3server
    logging:
      driver: "json-file"
      options:
        max-size: "10m"
        max-file: "3"

  client:
    build: .
    depends_on:
      - teamspeak
    command: ["--server", "teamspeak:9987"]


volumes:
  ts3-data:
